> ## Documentation Index
> Fetch the complete documentation index at: https://waasapi.uuwallet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 提交加速存币单请求

## 接口描述

用户存币单没有在管理后台系统查到的情况，会重新抓取一次存币单。


## OpenAPI

````yaml POST /api/v1/api/order/speedUp
openapi: 3.1.0
info:
  title: API Documentation
  description: A sample API documentation
  version: 1.0.0
servers:
  - url: https://waas2-out-api.powersafe-rel.cc/
security: []
paths:
  /api/v1/api/order/speedUp:
    post:
      tags:
        - order-controller
      summary: 提交加速存币单请求
      operationId: speedUp
      parameters:
        - name: Content-Type
          in: header
          required: true
          description: 请求内容类型
          schema:
            type: string
            example: multipart/form-data
        - name: X-API-KEY
          in: header
          required: true
          description: 平台方分配的 API-KEY
          schema:
            type: string
            example: your-api-key
      requestBody:
        description: 加速存币单请求参数（JSON 格式）。
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WithdrawRequestSpeedDto'
            example:
              callBackId: D782243635
              userId: 1
              tenantUserId: tenant123
              tenantType: 1
              amount: 0.5
              symbol: TRX
              chainName: TRON
              txId: tx12345
              fromAddr: fromAddress123
              toAddr: toAddress123
              tag: ''
      responses:
        '200':
          description: 成功返回加速存币单结果。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WithdrawResponse'
              example:
                code: 0
                data:
                  id: order12345
                  tenantUserId: tenant123
                message: ''
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '403':
          $ref: '#/components/responses/ForbiddenError'
        '404':
          $ref: '#/components/responses/NotFoundError'
components:
  schemas:
    WithdrawRequestSpeedDto:
      type: object
      properties:
        callBackId:
          type: string
          description: 回调订单
        userId:
          type: integer
          description: 三方用户ID
        tenantUserId:
          type: string
          description: 商户用户ID
        tenantType:
          type: integer
          description: 三方不同业务类型 (JD专用)
        amount:
          type: string
          description: 提币金额,最多支持小数点后6位。
        symbol:
          type: string
          description: 货币符号
        chainName:
          type: string
          description: 链名
        txId:
          type: string
          description: 交易ID
        fromAddr:
          type: string
          description: 来源地址
        toAddr:
          type: string
          description: 目标地址
        tag:
          type: string
          description: 标签
      required:
        - userId
        - tenantUserId
        - tenantType
        - amount
        - symbol
        - chainName
        - toAddr
    WithdrawResponse:
      type: object
      properties:
        code:
          type: integer
          description: 状态码
        data:
          type: object
          properties:
            id:
              type: string
              description: 订单ID
            tenantUserId:
              type: string
              description: 商户用户ID
        message:
          type: string
          description: 返回的消息
  responses:
    UnauthorizedError:
      description: 用户未授权，需提供有效的身份凭证。
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: string
                description: 错误代码
              message:
                type: string
                description: 错误描述
          example:
            code: UNAUTHORIZED
            message: unauthorized
    ForbiddenError:
      description: 访问被拒绝，用户许可权不足。
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: string
                description: 错误代码
              message:
                type: string
                description: 错误描述
          example:
            code: FORBIDDEN
            message: forbidden
    NotFoundError:
      description: 请求的资源未找到，检查 URL 是否正确。
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: string
                description: 错误代码
              message:
                type: string
                description: 错误描述
          example:
            code: NOT FOUND
            message: not found

````